## ros-melodic-ros-babel-fish-test-msgs 0.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_babel_fish_test_msgs)

find_package(catkin REQUIRED COMPONENTS actionlib_msgs message_generation std_msgs geometry_msgs)

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  TestArray.msg
  TestMessage.msg
  TestSubArray.msg
)

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
add_action_files(
  DIRECTORY action
  FILES
  SimpleTest.action
)

## Generate added messages and services with any dependencies listed here
generate_messages(
   DEPENDENCIES
   actionlib_msgs
   std_msgs
   geometry_msgs
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS message_runtime actionlib_msgs std_msgs geometry_msgs
)

=== debian/changelog ===
ros-melodic-ros-babel-fish-test-msgs (0.9.0-1stretch) stretch; urgency=high

  * Added install target for service_info. Cleaned up package.xml
  * Contributors: Stefan Fabian

 -- Stefan Fabian <ros_babel_fish@stefanfabian.me>  Wed, 28 Oct 2020 00:00:00 -0000

ros-melodic-ros-babel-fish-test-msgs (0.8.0-1stretch) stretch; urgency=high

  * Added specialization for action client to allow creating an ActionClient with a BabelFishAction.
  * Renamed targets to include ${PROJECT_NAME} prefix to fix #3 <https://github.com/StefanFabian/ros_babel_fish/issues/3>.
  * Cleanup for initial release.
    Added convenience methods.
    Added a lot of tests.
  * Cleanup for initial release.
    Added convenience methods.
    Added a lot of tests.
  * Contributors: Stefan Fabian

 -- Stefan Fabian <ros_babel_fish@stefanfabian.me>  Fri, 20 Mar 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-ros-babel-fish-test-msgs
Section: misc
Priority: optional
Maintainer: Stefan Fabian <ros_babel_fish@stefanfabian.me>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ros-babel-fish-test-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib-msgs, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: The ros_babel_fish_test_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ros-babel-fish-test-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-ros-babel-fish-test-msgs 0.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 2.8.3)
-project(ros_babel_fish_test_msgs)
+cmake_minimum_required(VERSION 3.5.1)
+project(ros_babel_fish_test_msgs VERSION 0.9.1)
 
 find_package(catkin REQUIRED COMPONENTS actionlib_msgs message_generation std_msgs geometry_msgs)

=== debian/changelog ===
ros-melodic-ros-babel-fish-test-msgs (0.9.3-1bionic) bionic; urgency=high



 -- Stefan Fabian <ros_babel_fish@stefanfabian.me>  Wed, 20 Apr 2022 00:00:00 -0000

ros-melodic-ros-babel-fish-test-msgs (0.9.2-1bionic) bionic; urgency=high

  * Accept True and False as boolean constants (#4 <https://github.com/StefanFabian/ros_babel_fish/issues/4>)
  * Contributors: Martin Valgur

 -- Stefan Fabian <ros_babel_fish@stefanfabian.me>  Wed, 22 Dec 2021 00:00:00 -0000

ros-melodic-ros-babel-fish-test-msgs (0.9.1-1bionic) bionic; urgency=high

  * Added missing build depend for openssl headers to fix build for noetic.
  * Contributors: Stefan Fabian

 -- Stefan Fabian <ros_babel_fish@stefanfabian.me>  Thu, 29 Oct 2020 00:00:00 -0000

ros-melodic-ros-babel-fish-test-msgs (0.9.0-1bionic) bionic; urgency=high

  * Added install target for service_info. Cleaned up package.xml
  * Contributors: Stefan Fabian

 -- Stefan Fabian <ros_babel_fish@stefanfabian.me>  Wed, 28 Oct 2020 00:00:00 -0000

ros-melodic-ros-babel-fish-test-msgs (0.8.0-1bionic) bionic; urgency=high

  * Added specialization for action client to allow creating an ActionClient with a BabelFishAction.
  * Renamed targets to include ${PROJECT_NAME} prefix to fix #3 <https://github.com/StefanFabian/ros_babel_fish/issues/3>.
  * Cleanup for initial release.
    Added convenience methods.
    Added a lot of tests.
  * Cleanup for initial release.
    Added convenience methods.
    Added a lot of tests.
  * Contributors: Stefan Fabian

 -- Stefan Fabian <ros_babel_fish@stefanfabian.me>  Fri, 20 Mar 2020 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -9,4 +9,4 @@
 Package: ros-melodic-ros-babel-fish-test-msgs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib-msgs, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-std-msgs
-Description: The ros_babel_fish_test_msgs package
+Description: Test messages for the ros_babel_fish project tests.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
